classification
Title: Skip test_xml_etree under coverage
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: kushal.das Nosy List: berker.peksag, kushal.das, vstinner
Priority: normal Keywords: patch

Created on 2017-05-23 18:02 by kushal.das, last changed 2017-11-01 10:20 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1767 merged kushal.das, 2017-05-23 18:31
PR 3363 merged vstinner, 2017-09-05 22:18
PR 3549 merged python-dev, 2017-09-13 17:21
Messages (5)
msg294271 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2017-05-23 18:02
test test_xml_etree failed -- Traceback (most recent call last):
  File "/home/travis/build/python/cpython/Lib/test/test_xml_etree.py", line 1553, in test_bug_xmltoolkit63
    self.assertEqual(sys.getrefcount(None), count)
AssertionError: 522146 != 522143

Under coverage (in our travis CI) test_xml_etree fails for refcount. Brett suggests to skip this test in case running under coverage.
msg294375 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2017-05-24 18:46
New changeset 1de4705d00168afa8c5b6741af02e21fc609af58 by Kushal Das in branch 'master':
bpo-30442: Skips refcount test in test_xml_etree under coverage (#1767)
https://github.com/python/cpython/commit/1de4705d00168afa8c5b6741af02e21fc609af58
msg301412 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-06 00:10
New changeset 9a3b3852afe61f9083d336c4394984d0e92799a3 by Victor Stinner in branch '3.6':
bpo-30442: Skips refcount test in test_xml_etree under coverage (#1767) (#3363)
https://github.com/python/cpython/commit/9a3b3852afe61f9083d336c4394984d0e92799a3
msg302125 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-13 22:18
New changeset 860839cc8e0a4a0890418f77c984955697f96828 by Victor Stinner (Miss Islington (bot)) in branch '2.7':
[2.7] bpo-30442: Skips refcount test in test_xml_etree under coverage (GH-1767) (#3549)
https://github.com/python/cpython/commit/860839cc8e0a4a0890418f77c984955697f96828
msg305365 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-11-01 10:20
All PRs have been merged and 3.5 is now in security-fix-only mode. Closing this as 'fixed'.
History
Date User Action Args
2017-11-01 10:20:24berker.peksagsetstatus: open -> closed

versions: - Python 3.5
nosy: + berker.peksag

messages: + msg305365
resolution: fixed
stage: patch review -> resolved
2017-09-13 22:18:00vstinnersetmessages: + msg302125
2017-09-13 17:21:13python-devsetkeywords: + patch
stage: backport needed -> patch review
pull_requests: + pull_request3541
2017-09-06 00:10:10vstinnersetnosy: + vstinner
messages: + msg301412
2017-09-05 22:18:43vstinnersetpull_requests: + pull_request3374
2017-07-24 04:24:11serhiy.storchakasetversions: + Python 2.7, Python 3.5
2017-07-24 00:44:17berker.peksagsetstage: backport needed
components: + Tests
versions: + Python 3.6
2017-05-24 18:46:45kushal.dassetmessages: + msg294375
2017-05-23 18:31:11kushal.dassetpull_requests: + pull_request1848
2017-05-23 18:02:42kushal.dascreate